/*******************************************************************************
 *  Copyright 2017-2018 Centre for Development of Advanced Computing(C-DAC), Pune
 *  
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *  
 *   http://www.apache.org/licenses/LICENSE-2.0
 *  
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *******************************************************************************/
package cdac.medinfo.sdk.dcm30_04.services.dicomnetcommons;
/**
 * This enum represents elements of SCUType
 */
public enum EnumSCUType 
{
	/** String value representing fully qualified name of CFind SCU*/
	CFIND_SCU("cdac.medinfo.sdk.dcm30_04.services.cfind.scu.CFindSCU"),

	/** String value representing fully qualified name of CGet SCU*/
	CGET_SCU("cdac.medinfo.sdk.dcm30_04.services.cget.scu.CGetSCU"),

	/** String value representing fully qualified name of CMove SCU*/
	CMOVE_SCU("cdac.medinfo.sdk.dcm30_04.services.cmove.scu.CMoveSCU"),

	/** String value representing fully qualified name of CStore SCU*/
	CSTORE_SCU("cdac.medinfo.sdk.dcm30_04.services.cstore.scu.CStoreSCU"),
	
	/** String value representing fully qualified name of NCreate SCU*/
	NCREATE_SCU("cdac.medinfo.sdk.dcm30_04.services.ncreate.scu.NCreateSCU"),
	
	/** String value representing fully qualified name of NSet SCU*/
	NSET_SCU("cdac.medinfo.sdk.dcm30_04.services.nset.scu.NSetSCU"),
	
	/** String value representing fully qualified name of NGet SCU*/
	NGET_SCU("cdac.medinfo.sdk.dcm30_04.services.nget.scu.NGetSCU"),
	
	/** String value representing fully qualified name of NGet SCU*/
	NACTION_SCU("cdac.medinfo.sdk.dcm30_04.services.naction.scu.NActionSCU"),
	
	/** String value representing fully qualified name of NGet SCU*/
	NDELETE_SCU("cdac.medinfo.sdk.dcm30_04.services.ndelete.scu.NDeleteSCU"),
	
	NEVENTREPORT_SCU("cdac.medinfo.sdk.dcm30_04.services.neventreport.scu.NEventReportSCU");

	private String value;

	EnumSCUType(String strValue)
	{
		value = strValue;
	}

	/**
	 * This function returns the String value of this enum.
	 * @return - returns string value of fully qualified name of SCP.
	 */
	public String getValue()
	{
		return value;
	}
}
